Kerbal Space Program - Feedback #3568

Ship Vanished in Orbit Around Gilly
11/25/2014 10:01 PM - Stevemata

Status: Needs Clarification

Severity: Low

Assignee:

Category: Gameplay

Target version:

Version: 0.25 Language: English (US)
Platform: Win32 Mod Related: No
Expansion:

Description

| orbited Gilly.

EVA RCS to the surface.

Landed, collected science, returned to orbit.

Started Orbital Rendezvous.

While controlling jeb.

Switching back and forth between map and flight views, my ship vanished.
The ship didn't collide with Gilly.

Ship was maybe 10k to 15k m from Jeb.

Gone.

Related issues:

Related to Kerbal Space Program - Feedback #1618: Ship destroyed while switc...
Related to Kerbal Space Program - Feedback #3490: Gilly's orientation in map ...
Related to Kerbal Space Program - Feedback #3569: Eva Camera in Gilly Orbit
Related to Kerbal Space Program - Bug #1978: Leaving Warp causes changes in P...

Duplicate 10/23/2013
Needs Clarificatibm1/2014
Needs Clarificatib@5/2014
Closed 12/17/2013

History

#1 - 11/26/2014 10:18 AM - Squelch
- Status changed from New to Need More Info

- Severity changed from Critical to Low

Could you please provide a log of the session, and confirm if this can be reproduced?

#2 - 11/26/2014 10:49 AM - Stevemata
Squelch wrote:
Could you please provide a log of the session, and confirm if this can be reproduced?

Log says the ship hit Gilly
[WRN 19:51:48.811] Vessel K 3 crashed through terrain on Gilly

My twitch stream at 59:20 shows the vessel very close (2km or so) to Gilly but not colliding when the ship vanished.

http://www.twitch.tv/stevemata/b/592816233

#3 - 11/26/2014 11:28 AM - Squelch

Thanks for replying, and the extra information.

It would seem that this has happened before, so the previous report[s] will be referenced to this as it is the most current occurrence.

#4 - 11/26/2014 01:01 PM - Squelch

After studying the video, and from the extra information, it would seem that 3.79km is courting disaster. When you switch away from an active ship, it
enters a simplified (for performance reasons) orbit, and given the very low periapsis and position when it is when left, there is a very strong chance it

did just crash into Gilly as the log would indicate. The irregular shape of Gilly may be a factor in misleading the safe altitude.
Could you please upload the log anyway?

#5 - 11/26/2014 02:32 PM - Squelch

When changing from "on rails" (warp, switching) the orbit can be affected in a small way. With a close pass orbit to begin with, the effects might be
just enough to cause the collision. See Issue #1978

The reference surface or datum of a body, does not necessarily align with the physical surface. While the vessel is unfocussed, the reference surface
is used for collision detection, whereas while focussed, the vessel may miss any peaks on the terrain. With a very irregular body like Gilly and having
a close capture orbit, the difference is enough. An eccentric orbit may bring the periapsis into the danger zone for the reference surface or a terrain
collision.

#6 - 11/26/2014 02:45 PM - Squelch
- Tracker changed from Bug to Feedback

#7 - 11/26/2014 04:20 PM - Stevemata
- File KSP.log added

Squelch wrote:

After studying the video, and from the extra information, it would seem that 3.79km is courting disaster. When you switch away from an active
ship, it enters a simplified (for performance reasons) orbit, and given the very low periapsis and position when it is when left, there is a very
strong chance it did just crash into Gilly as the log would indicate. The irregular shape of Gilly may be a factor in misleading the safe altitude.

Could you please upload the log anyway?

[LOG 19:50:41.915] [PlanetariumCamera]: Focus: Jebediah Kerman
[LOG 19:50:41.920] Maneuver Mode enabled

[LOG 19:50:47.045] Camera Mode: AUTO

[LOG 19:50:51.445] [PlanetariumCamera]: Focus: Jebediah Kerman
[LOG 19:50:51.451] Maneuver Mode enabled

[LOG 19:50:52.581] Camera Mode: AUTO

[LOG 19:50:54.514] [PlanetariumCamera]: Focus: Jebediah Kerman
[LOG 19:50:54.518] Maneuver Mode enabled

[LOG 19:50:56.251] Camera Mode: AUTO

[LOG 19:50:58.431] [PlanetariumCamera]: Focus: Jebediah Kerman
[LOG 19:50:58.546] Maneuver Mode enabled

[LOG 19:50:59.519] Camera Mode: AUTO

[LOG 19:51:00.264] [PlanetariumCamera]: Focus: Jebediah Kerman
[LOG 19:51:00.269] Maneuver Mode enabled

[LOG 19:51:02.097] Camera Mode: AUTO

[LOG 19:51:03.364] [PlanetariumCamera]: Focus: Jebediah Kerman
[LOG 19:51:03.369] Maneuver Mode enabled

[LOG 19:51:04.614] Camera Mode: AUTO

[LOG 19:51:05.515] [PlanetariumCamera]: Focus: Jebediah Kerman
[LOG 19:51:05.521] Maneuver Mode enabled

[LOG 19:51:06.797] Camera Mode: AUTO

[LOG 19:51:08.417] [PlanetariumCamera]: Focus: Jebediah Kerman
[LOG 19:51:08.422] Maneuver Mode enabled

[LOG 19:51:09.131] Camera Mode: AUTO

[LOG 19:51:10.517] [PlanetariumCamera]: Focus: Jebediah Kerman
[LOG 19:51:10.522] Maneuver Mode enabled

[LOG 19:51:11.961] Camera Mode: AUTO

[LOG 19:51:13.897] [PlanetariumCamera]: Focus: Jebediah Kerman
[LOG 19:51:13.901] Maneuver Mode enabled

[LOG 19:51:14.830] Camera Mode: AUTO

[LOG 19:51:15.854] Flight State Captured

[LOG 19:51:15.855] Saving Achievements Tree...

[LOG 19:51:15.855] Saving Achievements Tree...

[LOG 19:51:15.855] Saving Achievements Tree...

[LOG 19:51:15.856] Saving Achievements Tree...

[LOG 19:51:15.856] Saving Achievements Tree...

[LOG 19:51:15.866] Game State Saved as persistent

[LOG 19:51:15.867] [AutoSave]: Game Saved

[LOG 19:51:16.616] [PlanetariumCamera]: Focus: Jebediah Kerman
[LOG 19:51:16.622] Maneuver Mode enabled

[LOG 19:51:17.448] Camera Mode: AUTO

[LOG 19:51:18.950] [PlanetariumCamera]: Focus: Jebediah Kerman
[LOG 19:51:18.954] Maneuver Mode enabled

[LOG 19:51:19.882] Camera Mode: AUTO

[LOG 19:51:21.430] [PlanetariumCamera]: Focus: Jebediah Kerman
[LOG 19:51:21.435] Maneuver Mode enabled
[LOG 19:51:22.589] Camera Mode: AUTO

[LOG 19:51:24.431] [PlanetariumCamera]: Focus: Jebediah Kerman
[LOG 19:51:24.436] Maneuver Mode enabled

[LOG 19:51:25.281] Camera Mode: AUTO

[LOG 19:51:26.718] [PlanetariumCamera]: Focus: Jebediah Kerman
[LOG 19:51:26.723] Maneuver Mode enabled

[LOG 19:51:28.017] Camera Mode: AUTO

[LOG 19:51:29.982] [PlanetariumCamera]: Focus: Jebediah Kerman
[LOG 19:51:29.987] Maneuver Mode enabled

[LOG 19:51:30.879] Camera Mode: AUTO

[LOG 19:51:32.398] [PlanetariumCamera]: Focus: Jebediah Kerman
[LOG 19:51:32.403] Maneuver Mode enabled

[LOG 19:51:33.150] Camera Mode: AUTO

[LOG 19:51:34.480] [PlanetariumCamera]: Focus: Jebediah Kerman
[LOG 19:51:34.485] Maneuver Mode enabled

[LOG 19:51:41.665] Packing Jebediah Kerman for orbit

[WRN 19:51:48.811] Vessel K 3 crashed through terrain on Gilly
[LOG 19:51:48.812] [Orbit Targeter]: Target is null

That's the important information. Most of the log is spammed with the following...

"[LOG 19:50:34.398] Skipped frame because GfxDevice is in invalid state (device lost)" I'm assuming that this happens when I'm alt-tabbed.

| assumed as a developer myself that the ship vanished because either the low res collision model was different from the visual model or that the ship

was treated as debris because of it's low altitude.

If you view the video very closely the ship doesn't appear to be on a collision course, even when considering the rotation of Gilly.

| know switch is a pain to view, so | have uploaded the video to youtube, 720x60fps.

http://youtu.be/IK2L9G8CEE4?t=58m13s

| have also attached the entire log.

#8 - 11/26/2014 08:34 PM - quietghost

| definitely agree with Squelch. To me the video shows the craft crashing into Gilly, even though the map view may show it having enough altitude.

With Gilly one must be extra careful as the map view does not match up perfectly with the actual physical view.

#9 - 07/27/2015 05:56 PM - Squelch
- Platform Win32 added
- Platform deleted (Windows)

#10 - 07/17/2016 09:31 AM - TriggerAu

- Status changed from Need More Info to Needs Clarification
